# AggregateTestReport

API Documentation: | `AggregateTestReport`

Note: This class is incubating and may change in a future version of Gradle.

A container for the inputs of an aggregated test report.

### Properties

Property | Description
`reportTask` | Incubating Contains the `TestReport` task instance which produces this report.
`testSuiteName` | Incubating Contains the name of the test suite in target projects that this report will aggregate.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``TaskProvider`<`TestReport`>` `reportTask`

Note: This property is incubating and may change in a future version of Gradle.

Contains the `TestReport` task instance which produces this report.

#### ``Property`<`String`>` `testSuiteName`

Note: This property is incubating and may change in a future version of Gradle.

Contains the name of the test suite in target projects that this report will aggregate.